#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Sort
%define		pnam	Naturally
%include	/usr/lib/rpm/macros.perl
Summary:	Sort::Naturally Perl module - sort lexically, but sort numeral parts numerically
Summary(pl.UTF-8):	Moduł Perla Sort::Naturally - sortujący leksykalnie, ale liczby numerycznie
Name:		perl-Sort-Naturally
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sort/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fef2e36d1b1ea23ee79ec68b5872453f
URL:		http://search.cpan.org/dist/Sort-Naturally/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort::Naturally module exports two functions, nsort and ncmp; they are
used in implementing my idea of a "natural sorting" algorithm. Under
natural sorting, numeric substrings are compared numerically, and
other word-characters are compared lexically.

%description -l pl.UTF-8
Moduł Sort::Naturally ma wyeksportowane dwie funkcje: nsort i ncmp. Są
one implementacją algorytmu "naturalnego sortowania". W algorytmie tym
podciągi numeryczne są sortowane numerycznie, a pozostałe znaki -
leksykalnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Sort/Naturally.pm
%{_mandir}/man3/Sort::Naturally.3pm*
%changelog
* Mon Nov 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sort-Naturally.git;a=log;h=master

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 400a3ea
- updated to 1.03

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 83b8eb4
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 27eef64
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 90b7706
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aa22783
- converted to UTF-8

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> dce9319
- updated to 1.02

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6cb0f58
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> acdeffd
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 946618d
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2d7008f
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> d69f955
- tests added, license fix

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> e2af066
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 08c8536
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e6e8391
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> a58b65c
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> f6f9f64
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 03058ad
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 3886902
- massive attack: change CPAN URLs

* Sat Jul 20 2002 Jakub Bogusz <qboosh@pld-linux.org> f3ea8bc
- new

